[GET] ~/credit/rating?personsInHouseHold={personsInHouseHold}&monthlyNetIncome={monthlyNetIncome}&monthlyLoanObligation={monthlyLoanObligation}

Returns a credit score based on the users input.

Request Information

URI Parameters

NameDescriptionType
personsInHouseHold

The model.

integer

This value is required and must not be omitted.

monthlyNetIncome

The monthly net income.

decimal number

This value is required and must not be omitted.

monthlyLoanObligation

The monthly loan obligation.

decimal number

This value is required and must not be omitted.

Body Parameters

None.

Request Formats

None.

Response Information

Resource Description

The calculated financial offer.

An instance of: CalculateCreditRatingResponse
NameDescriptionType
CreditRating

Gets or sets the credit rating.

CreditRatingRank

Response Formats

application/json, text/json

Sample:
{
  "creditRating": "Insufficient"
}